/***************************************************************************
 *   Copyright (C) 2004 by Burkhard Brauer                                 *
 *   BurkhardBrauer@t-online.de                                            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#include "ksps.h"
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>
#include <kstandarddirs.h>
#include <stdlib.h>
#include <stdio.h>
#include<iostream.h>
#include<string.h>

static const char description[] =
    I18N_NOOP("A KDE KPart Application");

static const char version[] = "0.1";

QString data_path="";
QString DateiFilter="Projekt (*.gz*)";

static KCmdLineOptions options[] =
{
//    { "+[URL]", I18N_NOOP( "Document to open" ), 0 },
    KCmdLineLastOption
};

int main(int argc, char **argv)
{  
	 KAboutData about("ksps", I18N_NOOP("ksps"), version, description,
		   KAboutData::License_GPL, "(C) %{YEAR} Burkhard Brauer", 0, 0, "BurkhardBrauer@t-online.de");
   		about.addAuthor( "Burkhard Brauer", 0, "BurkhardBrauer@t-online.de" );
   KCmdLineArgs::init(argc, argv, &about);

    KCmdLineArgs::addCmdLineOptions(options );
    KApplication app;

KGlobal::dirs()->addResourceType("prj", KStandardDirs::kde_default("data") + "ksps/Beispiele-SPS/");
data_path = KGlobal::dirs()->findResourceDir("prj", "/blinken/blinken.prj");

if(data_path=="")
{	KGlobal::dirs()->addResourceType("gz", KStandardDirs::kde_default("data") +"ksps/");
	data_path = KGlobal::dirs()->findResourceDir("gz", "/Beispiele-SPS.tar.gz");
}
else
	DateiFilter="Projekt (*.prj)";
  


    
ksps *mainWin = 0;
 
    if (app.isRestored())
    {  RESTORE(ksps);
    }
    else
    {   // no session.. just start up normally
        KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
        /// @todo do something with the command line args here
        mainWin = new ksps();
        app.setMainWidget( mainWin );
        mainWin->show();
        args->clear();
		  
}

    // mainWin has WDestructiveClose flag by default, so it will delete itself.
    return app.exec();
}

